	//Verifica se um valor é inteiro
	function isInt(value) {
 		return !isNaN(value) && 
 				parseInt(Number(value)) == value && 
        		!isNaN(parseInt(value, 10));
	}

	//Função responsável por determinar a  troca de layout
	function changeLayout(layoutId){
		//console.log("Mudando para o layout de id " + layoutId);
		if(isInt(layoutId)){
			AreaInterface.changeLayout(layoutId);
			//console.log("Mudando para o layout de id " + layoutId);
		}
	}

	//Função responsável por determinar a troca de playlist
	function changePlaylist(playlistId){		
		if(isInt(playlistId)){
			//console.log("Mudando para o playlist de id " + playlistId);
			var response = AreaInterface.changePlaylist(playlistId);				
		}
	}

	//Função responsável por parar o scheduler de troca de notícias;
	function stopSchedulerNews(){
		//console.log("Stop schedulerNews");
		clearInterval(schedulerNews);
	}
	//Função responsável por iniciar o scheduler de troca notícias;
	function startSchedulerNews(){
		//console.log("Start schedulerNews");
		schedulerNews = setInterval(function() { nextNews(); }, NEWS_TIME);
	}
	
	//Função responsável por requisitar a próxima notícia ao player
	function nextNews(){
		var response = AreaInterface.nextNews();  
		//console.log("Response: " + response);
	  	if( (typeof(response) == 'string') && (response.indexOf('&') !== -1 )){
	    	var rss = response.split('&');
	    	//console.log("RssImg: " + rss[0] + " - RssTxt: " + rss[1] );
	    	loadNews(rss[0],rss[1]);
	  	}
		location.reload();
	}
	
	//Função responsável por exibir os dados da notícia no template
	function loadNews(imgVar, txtVar){ 

		var options = parseQueryString(txtVar);
		for(var key in options){
    		var element = document.getElementById(key);

    		//console.log(key, options[key]);//imprime todo xml
    		if (element) {
				
		    	if(element.tagName.toLowerCase() == "img"){
					//console.log(element, key, options[key]);

					if(key == "icone"){
		
						var agora = new Date();			
						var solPoente = options["solpoente"].split("h");
						//console.log(solPoente);
						var solPoenteDate = new Date();
			
						solPoenteDate.setHours(parseInt(solPoente[0]));
						solPoenteDate.setMinutes(parseInt(solPoente[1]));
						solPoenteDate.setSeconds(0);
							
						//console.log("icone1", agora, solPoenteDate);
						//console.log("fabio", solPoenteDate.getTime(), agora.getTime());
						if( agora.getTime() > solPoenteDate.getTime()){
							element.src = "BarraClima1Finance/" + options["iconoite"] + ".png";
							continue;			
						}
					}	 
        			element.src = "BarraClima1Finance/" + options[key] + ".png";
				} else {
        		element.innerHTML = options[key].replace("+", " ");
      			}
					if(options["nomedia"]){
						document.getElementById("nomedia").innerHTML = options["nomedia"];
					}
					/*if(options["nomedia2"]){
						document.getElementById("nomedia2").innerHTML = "Amanhã";
					}*/
					if(options["cidade"]){
						document.getElementById("cidade").innerHTML = options["cidade"];
					}
							
				setTimeout(function(){ primeiroDado(); }, 100);
													
				function primeiroDado(){
					
					//Inicio tratamento finance
					//console.log('primeiro dado');
					//verifica se é a variação do euro	
					if(key.indexOf("euro-variacao") ){
							document.getElementById("moeda").innerHTML = options["titulo4"];
							  document.getElementById("venda").innerHTML = "R$ " + options["euro-venda"] .slice(0, 4);
								//setInterval(function(){ segundoDado(); }, 15000);
								
								setTimeout(function(){ segundoDado(); }, 15000);
						//verifica se a variação é negativa
						if(options["euro-variacao"].substring(0, 1) != "-"){
								//se a variação for positiva exibe a imagem positiva
							  document.getElementById("imgVariacao").src = "BarraClima1Finance/positivo.png";	
						}
							else{
									//se a variação for negativa exibe a imagem negativa
									  document.getElementById("imgVariacao").src = "BarraClima1Finance/negativo.png";
									}

					}	

			    }
				
			  function segundoDado(){
					
					//console.log('teste segundo dado');
					if(key.indexOf("dolar-variacao") ){
							document.getElementById("moeda").innerHTML = options["titulo1"].replace("comercial", "C.");
							  document.getElementById("venda").innerHTML = "R$ " + options["dolar-venda"] .slice(0, 4);
								setTimeout(function(){ primeiroDado(); }, 15000);
							//verifica se a variação é negativa
							if(options["dolar-variacao"].substring(0, 1) != "-"){
								//se a variação for positiva exibe a imagem positiva
							  document.getElementById("imgVariacao").src = "BarraClima1Finance/positivo.png";	
							}
							else{
									//se a variação for negativa exibe a imagem negativa
									  document.getElementById("imgVariacao").src = "BarraClima1Finance/negativo.png";
									}
																	
					}

				}
      			element.innerHTML = options[key].replace("+", " ");
				
				//Fim tratamento finance
    	    }

		}
		//element.innerHTML = options[key].replace("+", " ");
	}	  
	//Função responsável por fazer o parse dos dados da notícia passados como parâmetro através da chamada da url
	function parseQueryString (queryString) {
		if(typeof(queryString) != 'string'){
	    	return queryString;
	    }

	    if(queryString[0] == '?'){
	      queryString = queryString.substring(1, queryString.length);
	    }

	    var params = {}, queries, temp, i, l;
	    queries = queryString.split('&');

	    for ( i = 0, l = queries.length; i < l; i++ ) {
	      temp = queries[i].split('=');
	      params[temp[0]] = temp[1];
	    }

	    return params;
	}
	
	var MILISECONDS = 1000;
	//Tempo de duração de uma notícia em segundos
	var NEWS_TIME_IN_SECONDS =  30;
	//Tempo de duração de uma notícia em milisegundos 
	var NEWS_TIME = NEWS_TIME_IN_SECONDS * MILISECONDS;

	var params = window.location.search.split("+").join("%20");
	var options = parseQueryString(params);

  	if (options.txtVar) {
    	var options = parseQueryString(decodeURIComponent(decodeURIComponent(options.txtVar)));
	}
	
	loadNews("", options);
	var schedulerNews = setInterval(function() { nextNews(); }, NEWS_TIME);
	//console.log(options);
